Loading...
Searching...
No Matches
EclThermalLawManager.hpp File Reference

Provides an simple way to create and manage the thermal law objects for a complete ECL deck. More...

`#include "EclSolidEnergyLawMultiplexer.hpp"`
`#include "EclSolidEnergyLawMultiplexerParams.hpp"`
`#include "EclThermalConductionLawMultiplexer.hpp"`
`#include "EclThermalConductionLawMultiplexerParams.hpp"`
`#include <functional>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | Opm::EclThermalLawManager< Scalar, FluidSystem >
| Provides an simple way to create and manage the thermal law objects for a complete ECL deck. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

Provides an simple way to create and manage the thermal law objects for a complete ECL deck.